https://rancher.com/ logo
#general
Title
# general
b

best-microphone-20624

02/16/2023, 7:45 PM
Greetings! The Rancher 2.6.8 v2 provisioner for RKE2 is creating machine provisioner jobs in the
fleet-default
namespace whose
SecurityContext
violates Kyverno-enforced Restricted PSA here: https://github.com/rancher/rancher/blob/e215285980fff335697c940e7d6584564a16721d/p[…]kg/controllers/provisioningv2/rke2/machineprovision/template.go. Since I don't see namespace
fleet-default
listed here: https://github.com/rancher/rancher/blob/e215285980fff335697c940e7d6584564a16721d/pkg/data/management/podadmissionconfigurationtemplate_data.go#L12, should I create a bug for this or should I expect
fleet-default
to be added as another PSA exempt namespace before Rancher 2.7.2 is released?